var ApiCache = /** @class */ (function () {
    function ApiCache() {
        this.apiResponses = new Map();
    }
    ApiCache.prototype.getCachedResponse = function (response) {
        return this.apiResponses.get(response);
    };
    ApiCache.prototype.setCachedResponse = function (response, data) {
        this.apiResponses.set(response, data);
        return data;
    };
    return ApiCache;
}());
export { ApiCache };
//# sourceMappingURL=cache.js.map